#!/usr/bin/ksh

#-----------------------------------------------------------------------------------------
#--
#-- Copyright (c) 2009-2012 ProactiveRA
#--
#-- This script is free software; you can redistribute it and/or modify it under
#-- the terms of the GNU Lesser General Public License as published by the Free
#-- Software Foundation; either version 3 of the License, or (at your option)
#-- any later version.
#--
#-- This script is distributed in the hope that it will be useful, but WITHOUT
#-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#-- FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
#-- details.
#--
#-- You should have received a copy of the GNU Lesser General Public License
#-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
#--
#-----------------------------------------------------------------------------------------


function extract_BILLING_database {

  ORACLE_UID[$1]=${UID_BILLING};
  ORACLE_PASS[$1]=${PASS_BILLING};
  ORACLE_DB[$1]=${DB_BILLING};

  if [ $3 ]
  then
  	extract_oracle_database $1 "$2" $3
  else
  	extract_oracle_database $1 
  fi

}

#-----------------------------------------------------------------------------------------

function extract_oracle_database {

  #----------------------------------------------------------------------
  #-- Extract proc to be used when a Data-Mediation system is 
  #-- pushing the files into the local RA directory for processing
  #-- (i.e. files can be moved/deleted by the script)
  #----------------------------------------------------------------------
  #--
  #-- Parameters required in the resource file:
  #--	   ORACLE-UID: the username to use to connect to the external database
  #--      ORACLE-PASS: the password to use to connect to the external database
  #--      ORACLE-DB: the TNSNAMES entrey to use to connect to the external database
  #--
  #----------------------------------------------------------------------

  validate_ORACLE_DB_available ${ORACLE_UID[$1]} ${ORACLE_PASS[$1]} ${ORACLE_DB[$1]}
  if [ $abort = 0 ]; then
     query="extract"
     if [ $3 ]
     then
	  query="${query}_$3"
     fi
     result=`sqlplus /NOLOG << ENDOFSQL
	 connect ${ORACLE_UID[$1]}/${ORACLE_PASS[$1]}@${ORACLE_DB[$1]}
	 @${extract_query_dir}/${main_directory[$1]}/${query}.sql ${last_extract_dt}
	 exit;
ENDOFSQL
`
  fi

}

